Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 894954 - Review Request: qcommandline - Command line parser for Qt programs
Summary: Review Request: qcommandline - Command line parser for Qt programs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Sergio Monteiro Basto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: qt-reviews 891461
TreeView+ depends on / blocked
 
Reported: 2013-01-14 06:05 UTC by Dan Callaghan
Modified: 2017-05-10 10:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-19 04:54:53 UTC
sergio: fedora-review+
pbabinca: fedora-cvs+


Attachments (Terms of Use)

Description Dan Callaghan 2013-01-14 06:05:41 UTC
Spec URL: http://fedorapeople.org/~dcallagh/qcommandline/qcommandline.spec
SRPM URL: http://fedorapeople.org/~dcallagh/qcommandline/qcommandline-0.3.0-3.fc17.src.rpm
Description: QCommandLine is a command line parser for Qt programs (like getopt). Features include options, switches, parameters and automatic --version/--help generation.
Fedora Account System Username: dcallagh

Comment 1 Sergio Monteiro Basto 2013-03-26 22:16:52 UTC
[!]: Uses parallel make.

Comment 2 Sergio Monteiro Basto 2013-03-26 22:28:27 UTC
fedora-review -b 894954 

only 2 warnings on rpmlint 

qcommandline.x86_64: W: spelling-error %description -l en_US getopt -> get opt, get-opt, treetop
qcommandline.x86_64: W: shared-lib-calls-exit /usr/lib64/libqcommandline.so.0.3.0 exit@GLIBC_2.2.5

and 

[!]: Uses parallel make.
which I don't know what it means. 

if none could be fix let me know and I approve the review .

Best regards,

Comment 3 Sergio Monteiro Basto 2013-04-06 00:54:24 UTC
APPROVED

Comment 4 Dan Callaghan 2013-04-07 22:30:31 UTC
Thanks Sergio! Sorry for not replying sooner, the last few weeks have been very busy.

(In reply to comment #2)
> [!]: Uses parallel make.
> which I don't know what it means. 

I think this one is just because I forgot %{?_smp_mflags} in the make invocation. I will fix that when I import the package.

Comment 5 Dan Callaghan 2013-04-07 22:31:45 UTC
New Package SCM Request
=======================
Package Name: qcommandline
Short Description: Command line parser for Qt programs
Owners: dcallagh
Branches: el6 f18 f19
InitialCC:

Comment 6 Pavol Babinčák 2013-04-08 08:58:32 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2013-04-08 23:12:47 UTC
qcommandline-0.3.0-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/qcommandline-0.3.0-4.fc18

Comment 8 Fedora Update System 2013-04-10 01:27:46 UTC
qcommandline-0.3.0-4.fc18 has been pushed to the Fedora 18 testing repository.

Comment 9 Fedora Update System 2013-04-19 04:54:56 UTC
qcommandline-0.3.0-4.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.